Subject: [AVTCORE] new draft on IDMS in IPTV

From: "Stokking, H.M. (Hans)" <[email-masked]>
Date: Tue, 25 Nov 2014 13:07:53 +0000

Dear AVTCORE,

As presented by my colleague Bastiaan Wissingh during the IETF 91 AVTCORE session, we have submitted an I-D on IDMS in IPTV environments.

For those willing, can you please provide us with a review of / comments on this I-D? See the link at the bottom of the avtcore I-D list. (I don't include the actual link since I think this is running into the filter rule)
http://datatracker.ietf.org/wg/avtcore/documents/

In IPTV environments, there are some typical situations that are a problem for IDMS. First, in a typical SSM environment we have to deal with a potentially large number of messages, as described in RFC 5760. Also, different groups of viewers may view content together, so one broadcast may have many small groups of receivers to be synchronised. Synchronising every receiver involved may lead to very large buffering times for some receivers. To counter this, the I-D describes the alternative of performing IDMS separately for each sub-group. This I-D extends the current RFC 7272 with the ability to use a feedback target for collecting and summarizing IDMS reports, according to the framework from RFC 5760. For this, it defines 2 new sub-report blocks.

Furthermore, in IPTV environments the same content may be distributed in various versions (HD, SD, mobile). RTP timestamps of the various streams will not match, and thus synchronisation is no longer possible. The I-D gives 2 alternative solutions for this problem, for further discussion.

Please note, this draft involves IPR.

Cheers, Hans

This message may contain information that is not intended for you. If you are not the addressee or if this message was sent to you by mistake, you are requested to inform the sender and delete the message. TNO accepts no liability for the content of this e-mail, for the manner in which you use it and for damage of any kind resulting from the risks inherent to the electronic transmission of messages.